BWBAR(8)

NAME
bwbar - generates text and graphical readout of current bandwidth use.

SYNOPSIS
bwbar [-i|-o] [-g|-G|-k|-K|-m|-M] [OPTION]... INTERFACE MAX_MBPS

DESCRIPTION
Generates text and graphical readout of current bandwidth use.

OPTIONS

-b, --border=N
    Set border width of the graphical bar to N (default 1 pixel).

-d, --directory=N
    Output directory is N.

-f, --text-file=N
    Set N as name of the text output file (default ubar.txt).

-h, --help
    Display usage.

-p, --png-file=N
    Set N as name of the graphical bar file (default ubar.png).

-t, --interval=N
    The poll interval in seconds is N (default 15 seconds).

-x, --width=N
    Set the width of the graphical bar to N (default 600 pixels).

-y, --height=N
    Set the height of the graphical bar to N (default 4 pixels).

FLAGS

-i, --input
    Measure input bandwidth.

-g, --GBps
    Bandwidth is measured in GB/s.

-G, --Gbps
    Bandwidth is measured in Gbit/s.

-k, --kbps
    Bandwidth is measured in kbit/s.

-K, --KBps
    Bandwidth is measured in KB/s.

-m, --MBps
    Bandwidth is measured in MB/s.

-M, --Mbps
    Bandwidth is measured in Mbit/s.

-o, --output
    Measure output bandwidth.

Default values are -M and -o.

AUTHOR
Written by Nacho Barrientos Arias <chipi@criptonita.com>.

BUGS
Report bugs to <hpa@zytor.com>.

COPYRIGHT
Copyright © 1999-2001 H. Peter Anvin - All Rights Reserved
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, Inc.

SEE ALSO
You can get all the available information for bwbar in:

    http://www.kernel.org/pub/software/web/bwbar/